Menu

What are the technical requirements for using Polar Flow web service?

To get the best site experience, we recommend using the latest version of one of the following browsers.

  • Chrome 70 or newer
  • Firefox 63 or newer
  • Safari 10 or newer
  • Microsoft Edge 43 or newer
  • Internet Explorer 11

Using other browsers or earlier versions may lead to the web service not working properly. The latest browser versions also have the most recent security updates and hence better encryption and privacy support.

Contact Us
Contact Us
Request repair
Request for Warranty Claim

Change region

If your country is not listed on this page, please find your local contact details, retailers and stores and service points on our global site.